Subject: Re: [PATCH 5/5] PCI fixes for the MPC8641 Rev 2.0 silicon and Rev 1.02hardware

From: Timur Tabi <[email-masked]>
Date: Thu, 17 May 2007 13:46:26 -0500

Wade Farnsworth wrote:

> Yes.  On rev 1.0 boards, all of the devices on the south bridge are on
> bus 0, while on rev 1.02, the devices on the southbridge are on bus 2.
> 
> I'd like to use the same dts for both rev's if possible.  But if there
> is a reason why they shouldn't, I suppose I could create a separate dts.

I think two DTS files is the best approach for now.  A few of us had an idea to introduce 
conditional statements in to the DTS, and U-Boot would examine the board and/or 
environment variables and then apply the conditions to the device tree before booting the 
kernel.  This would allow you to merge the two DTS files into one, but we're quite a ways 
off from implementing this feature.  In the meantime, two DTS files is okay.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale